ZooKeeperServerMode (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Enum ZooKeeperServerMode

- java.lang.Object
- - java.lang.Enum<ZooKeeperServerMode>
  - - com.cloudera.api.swagger.model.ZooKeeperServerMode

- All Implemented Interfaces:
    Serializable, Comparable<ZooKeeperServerMode>

      public enum ZooKeeperServerMode
      extends Enum<ZooKeeperServerMode>

  The state of the Zookeeper server.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ZooKeeperServerMode.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REPLICATED_FOLLOWER`
    `REPLICATED_LEADER`
    `REPLICATED_LEADER_ELECTION`
    `REPLICATED_OBSERVER`
    `STANDALONE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ZooKeeperServerMode` | `fromValue(String text)`
    `String` | `getValue()`
    `String` | `toString()`
    `static ZooKeeperServerMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ZooKeeperServerMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDALONE

          public static final ZooKeeperServerMode STANDALONE

    - #### REPLICATED_FOLLOWER

          public static final ZooKeeperServerMode REPLICATED_FOLLOWER

    - #### REPLICATED_LEADER

          public static final ZooKeeperServerMode REPLICATED_LEADER

    - #### REPLICATED_LEADER_ELECTION

          public static final ZooKeeperServerMode REPLICATED_LEADER_ELECTION

    - #### REPLICATED_OBSERVER

          public static final ZooKeeperServerMode REPLICATED_OBSERVER

    - #### UNKNOWN

          public static final ZooKeeperServerMode UNKNOWN

  - ### Method Detail

    - #### values

          public static ZooKeeperServerMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZooKeeperServerMode c : ZooKeeperServerMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZooKeeperServerMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ZooKeeperServerMode>`

    - #### fromValue

          public static ZooKeeperServerMode fromValue(String text)

Copyright © 2022. All rights reserved.